%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

%define epiver 2.16
%define api_version 2.16

Summary: Extensions for the GNOME Web Browser, Epiphany
Name: epiphany-extensions
Version: 2.16.0
%define subrel 8
Release: %mkrel 3
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2

License: GPL
Group: Networking/WWW
Url: http://www.gnome.org/projects/epiphany/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: epiphany-devel >= %epiver
BuildRequires: mozilla-firefox-devel
BuildRequires: OpenSP-devel
BuildRequires: pcre-devel
BuildRequires: dbus-devel >= 0.50
BuildRequires: perl-XML-Parser
BuildRequires: automake1.9
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils libxslt-proc
Requires: epiphany >= %epiver
Requires(post): scrollkeeper
Requires(postun): scrollkeeper


%description

This package contains the following extensions for the GNOME Web Browser:
Actions
Ad blocker
Auto-scroller
Auto-reload
Certificates
Error-viewer
Favicon
Gestures
Greasemonkey
Java Console
Net-monitor
Page-info
Permissions
Push scroller
Python Console
RSS
Select stylesheet
Sidebar
Smart-bookmarks lookup
Tab groups
Tab states

%prep
%setup -q

aclocal-1.9 -I m4
autoconf
automake-1.9

cp extensions/error-viewer/README README.error-viewer

%build
%configure2_5x --with-extensions=actions,adblock,auto-reload,auto-scroller,certificates,error-viewer,extensions-manager-ui,favicon,gestures,greasemonkey,java-console,page-info,permissions,push-scroller,python-console,rss,select-stylesheet,sidebar,smart-bookmarks,tab-groups,tab-states --with-mozilla=mozilla-firefox
#net-monitor,
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name-%api_version
%find_lang %name --with-gnome
cat %name.lang >> %name-%api_version.lang

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/epiphany/%{api_version}/extensions/*.la \
      %buildroot/var/lib/scrollkeeper

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name-%api_version.lang
%defattr(-,root,root)
%doc COPYING* AUTHORS ChangeLog NEWS README*
%doc extensions/gestures/ephy-gestures.xml
%_datadir/%name/*
%dir %_datadir/omf/%name
%_datadir/omf/%name/%name-C.omf
%dir %{_libdir}/epiphany
%_libdir/epiphany/%{api_version}


%changelog
* Thu Dec 13 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-3.8mdv2007.0
- rebuild against firefox 2.0.0.11

* Tue Jul 31 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-3.7mdv2007.0
- rebuild against firefox 2.0.0.6

* Mon Jul 23 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-3.6mdv2007.0
- rebuild against firefox 2.0.0.5

* Thu Jun 07 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-3.5mdv2007.0
- rebuild against firefox 1.5.0.12

* Tue Feb 27 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-3.4mdv2007.0
- rebuild against firefox 1.5.0.10

* Mon Jan 22 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-3.3mdv2007.0
- rebuild for x86_64

* Wed Jan 10 2007 Vincent Danen <vdanen@mandriva.com> 2.16.0-3.2mdv2007.0
- rebuild against firefox 1.5.0.9

* Wed Nov 08 2006 Vincent Danen <vdanen@mandriva.com> 2.16.0-3.1mdv2007.0
- rebuild against firefox 1.5.0.8

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-3mdv2007.0
- Rebuild with latest firefox

* Mon Sep  4 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.0
- disable dashboard

* Mon Sep  4 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- bump deps
- New release 2.16.0

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdv2007.0
- New release 2.15.2

* Tue Jun 06 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-1mdv2007.0
- Release 2.15.1

* Mon May 15 2006 Götz Waschk <waschk@mandriva.org> 2.14.1.1-1mdk
- New release 2.14.1.1

* Fri Apr 21 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-3mdk
- rebuild for new firefox

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 2.14.1-2mdk
- fix buildrequires

* Thu Apr 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
-  

* Thu Apr 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Remove patches 1, 2 (merged upstream)

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-3mdk
- rebuild for new mozilla-firefox

* Tue Jan 10 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-2mdk
- rebuild for new mozilla-firefox
- use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 1.8.2-1mdk
- New release 1.8.2

* Mon Oct 17 2005 Gtz Waschk <waschk@mandriva.org> 1.8.1-2mdk
- fix list of enabled extensions (bug #19289)

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 1.8.1-1mdk
- Release 1.8.1
- Remove patch0 (merged upstream)

* Fri Sep 16 2005 Gtz Waschk <waschk@mandriva.org> 1.6.5-4mdk
- disable adblock extension

* Wed Sep 14 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.5-3mdk
- Add requires_exception to prevent from asking mozilla

* Fri Aug 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.6.5-2mdk
- add BuildRequires: gnome-common intltool

* Sun Aug 14 2005 Gtz Waschk <waschk@mandriva.org> 1.6.5-1mdk
- New release 1.6.5

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.4-4mdk 
- Drop sample extensions

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-3mdk
- fix buildrequires

* Tue Jul 19 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-2mdk
- enable all extensions

* Wed Jul 06 2005 Gtz Waschk <waschk@mandriva.org> 1.6.4-1mdk
- New release 1.6.4

* Sat May 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.6.3-3mdk
- add BuildRequires: automake1.9

* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-2mdk 
- Rebuild with FF 1.0.4
- don't package .la files
- Patch1: fix extensions so name

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 1.6.3-1mdk
- New release 1.6.3

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.6.2-1mdk
- New release 1.6.2
- requires new epiphany
- enable all extensions
- patch for firefox
- fix deps

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.5-1mdk
- New release 1.4.5

* Tue Dec 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.4-2mdk 
- Rebuild with mozilla 1.7.5

* Mon Dec 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.4.4-1mdk
- New release 1.4.4

* Mon Nov 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.3-1mdk
- requires new epiphany
- New release 1.4.3

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.2-1mdk
- fix file list
- New release 1.4.2
- Remove patch0 (merged upstream)

* Thu Sep  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- patch to build with mozilla 1.7.2

* Mon Aug  2 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- New release 1.0

* Mon Jun 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- requires new epiphany
- New release 0.9.1

* Thu Jun 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-2mdk
- reallow libtoolize
- rebuild for new g++

* Mon May 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- New release 0.9.0

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-6mdk
- rebuild for new mozilla

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-5mdk
- fix buildrequires again

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-4mdk
- requires epiphany 1.2.1
- another buildrequires fix

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-3mdk
- fix buildrequires

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- fix buildrequires

* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- new version

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- First package from Gtz Waschk

